from ..utils.browser import Firefox

class Error:
    def __init__(self) -> None:
        self.error_url = "https://falconerrorpages.pages.dev/{}/video.m3u8"

    def source_temporarily_disabled(self):
        return self.error_url.format("01"), Firefox().headers
    
    def source_banned_ip(self):
        return self.error_url.format("02"), Firefox().headers
    
    def channel_not_found(self):
        return self.error_url.format("03"), Firefox().headers